<?php

namespace Dashboard\Controllers;

use Dashboard\Core\Controller;

class UpdateController extends Controller
{
    public function __construct()
    {
        abort_perm('MANAGE_UPDATES');
    }

    public function index()
    {
        return view('updates.index');
    }

    public function update()
    {
        updateLeaderOS();
    }

  public function check()
  {
    $status = checkUpdate(false);
    response()->json($status);
  }
}